Source: docker-registry
Section: utils
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-bshuster-repo-logrus-logstash-hook-dev,
               golang-github-bugsnag-bugsnag-go-dev,
               golang-github-distribution-reference-dev (>> 0.6.0-4~~),
               golang-github-docker-go-metrics-dev,
               golang-github-docker-libtrust-dev,
               golang-github-garyburd-redigo-dev,
               golang-github-gorilla-handlers-dev,
               golang-github-gorilla-mux-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-ncw-swift-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-shopify-logrus-bugsnag-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-golang-x-crypto-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev
Homepage: https://github.com/docker/distribution
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/docker/distribution

Package: docker-registry
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Built-Using: ${misc:Built-Using}
Description: Docker toolset to pack, ship, store, and deliver content
 The Docker toolset to pack, ship, store, and deliver content.
 .
 The Docker Registry 2.0 implementation contained in this package is for storing
 and distributing Docker images. It supersedes the docker/docker-registry
 project with a new API design, focused around security and performance.
 .
 This project should provide an implementation to a V2 API for use in the Docker
 core project. The API should be embeddable and simplify the process of securely
 pulling and pushing content from docker daemons.
 .
 The new registry implementation provides the following benefits:
 .
  * faster push and pull
  * new, more efficient implementation
  * simplified deployment
  * pluggable storage backend
  * webhook notifications

Package: golang-github-docker-distribution-dev
Architecture: all
Section: golang
Depends: golang-github-aws-aws-sdk-go-dev,
         golang-github-bugsnag-bugsnag-go-dev,
         golang-github-distribution-reference-dev (>> 0.6.0-4~~),
         golang-github-docker-go-metrics-dev,
         golang-github-docker-libtrust-dev,
         golang-github-garyburd-redigo-dev,
         golang-github-gorilla-handlers-dev,
         golang-github-gorilla-mux-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-ncw-swift-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-golang-x-crypto-dev,
         golang-gopkg-yaml.v2-dev,
         ${misc:Depends}
Description: Docker toolset to pack, ship, store, and deliver content (source)
 The Docker toolset to pack, ship, store, and deliver content.
 .
 The Docker Registry 2.0 implementation contained in this package is for storing
 and distributing Docker images. It supersedes the docker/docker-registry
 project with a new API design, focused around security and performance.
 .
 This project should provide an implementation to a V2 API for use in the Docker
 core project. The API should be embeddable and simplify the process of securely
 pulling and pushing content from docker daemons.
 .
 The new registry implementation provides the following benefits:
 .
  * faster push and pull
  * new, more efficient implementation
  * simplified deployment
  * pluggable storage backend
  * webhook notifications
 .
 This package contains the source.
